Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Dimension

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DimensionImpl

    public interface Dimension

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Dimension'.

The following features are supported:

- `Dx`
- `Dy`

See Also:
  `GMFGraphPackage.getDimension()`
** Generated **
Model:

Method Summary
`int` `getDx()` Returns the value of the 'Dx' attribute
`int` `getDy()` Returns the value of the 'Dy' attribute
`void` `setDx(int value)` Sets the value of the '`Dx`' attribute
`void` `setDy(int value)` Sets the value of the '`Dy`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDx

    int getDx()

  Returns the value of the 'Dx' attribute.

  If the meaning of the 'Dx' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dx' attribute.
  See Also:
    `setDx(int)`, `GMFGraphPackage.getDimension_Dx()`
  ** Generated **
  Model:

### setDx

    void setDx(int value)

  Sets the value of the '`Dx`' attribute.

  Parameters:
    `value` - the new value of the 'Dx' attribute.
  See Also:
    `getDx()`
  ** Generated **

### getDy

    int getDy()

  Returns the value of the 'Dy' attribute.

  If the meaning of the 'Dy' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dy' attribute.
  See Also:
    `setDy(int)`, `GMFGraphPackage.getDimension_Dy()`
  ** Generated **
  Model:

### setDy

    void setDy(int value)

  Sets the value of the '`Dy`' attribute.

  Parameters:
    `value` - the new value of the 'Dy' attribute.
  See Also:
    `getDy()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.